import { config as dotenv } from "dotenv";

dotenv();

export const PORT = Number(process.env.PORT) || 3000;

export const DATABASE_HOST = process.env.DATABASE_HOST || "localhost";
export const DATABASE_PORT = Number(process.env.DATABASE_PORT) || 5432;
export const DATABASE_USER = process.env.DATABASE_USER || "postgres";
export const DATABASE_PASS = process.env.DATABASE_PASS || "postgres";
export const DATABASE_NAME = process.env.DATABASE_NAME || "postgres";

export const HTTPS = process.env.HTTPS === "true";
export const DOMAIN = process.env.DOMAIN || "";

if (DOMAIN === "") throw "$DOMAIN is empty";

export const BASE_URL = `${HTTPS ? "https" : "http"}://${DOMAIN}`;
