import { hash } from "argon2";

import LongmontDataSource from "./index.js";
import { Account } from "./entities/account.js";
import generateSnowflake from "./util/snowflake.js";

/** Creates a new account and returns it. */
export async function createAccount(
	username: string,
	email: string,
	password: string,
) {
    const repo = LongmontDataSource.getRepository(Account);

    const account = new Account();
    account.username = username;
    account.email = email;
    account.password = await hash(password);
    account.id = generateSnowflake().toString();

    await repo.save(account);

    return account;
}
