import { pid } from "node:process";

let increment = 0;

const EPOCH = 1_672_531_200_000n;

export default function generateSnowflake(): bigint {
	const fakeThreadId = BigInt(Math.floor(Math.random() * 32));
	const inc = BigInt(increment);
	increment++;

	const timestamp = BigInt(new Date().getTime()) - EPOCH;

	return (
		(timestamp << 22n) |
		(BigInt(pid % 32) << 17n) |
		(fakeThreadId << 12n) |
		inc % 4096n
	);
}
